# Set Contact Consent **POST /api/customers/set_consent.json** For HIPAA and Pro accounts setup with Contact Consent, this endpoint can set contact's consent status. To do this, your account must have [API import allowed](https://application.textline.com/organization/consent_settings) and the user making the API request must have the "Can manually set consent" permission on [for their role](https://application.textline.com/organization/agents/roles). You must then use the Contact's phone number or UUID (only 1 is needed in the body) and their consent status (true or false). ## Servers - Production: https://application.textline.com (Production) ## Parameters ### Body: application/json (object) - **customer_uuid** (string) The phone number of the contact that you would like to send the Contact Request to. - **phone_number** (string) The phone number of the contact that you would like to send the Contact Request to. - **consent** (number) A true (1) or false (0) value to set the consent status of a contact. ## Responses ### 200 OK #### Body: application/json (object) - **success** (number) [Powered by Bump.sh](https://bump.sh)